# Uses of Interface
org.eclipse.mat.snapshot.extension.IThreadInfo

Packages that use IThreadInfo
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.inspections.jetty
These are queries for the Jetty web server.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.jruby.resolver
These are queries for snapshots generated by JRuby applications.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.

## Uses of IThreadInfo in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj with parameters of type IThreadInfo
Modifier and Type
Method
Description
`void`
ThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
Add detailed DTFJ information, including native thread stack.
`void`
ThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`
Add basic DTFJ information.

## Uses of IThreadInfo in org.eclipse.mat.inspections.jetty

Methods in org.eclipse.mat.inspections.jetty with parameters of type IThreadInfo
Modifier and Type
Method
Description
`void`
JettyRequestResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`

## Uses of IThreadInfo in org.eclipse.mat.inspections.threads

Methods in org.eclipse.mat.inspections.threads that return types with arguments of type IThreadInfo
Modifier and Type
Method
Description
`List<IThreadInfo>`
ThreadInfoQuery.Result.`getThreads()`
Methods in org.eclipse.mat.inspections.threads with parameters of type IThreadInfo
Modifier and Type
Method
Description
`void`
ThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
`void`
ThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`

## Uses of IThreadInfo in org.eclipse.mat.jruby.resolver

Methods in org.eclipse.mat.jruby.resolver with parameters of type IThreadInfo
Modifier and Type
Method
Description
`void`
JRubyScriptResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] localVars, int currentVarId, IProgressListener listener)`
`void`
RubyStacktraceDumper.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`

## Uses of IThreadInfo in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type IThreadInfo
Modifier and Type
Method
Description
`void`
IRequestDetailsResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`
Add extra details
`void`
IThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
Extract detailed information about a thread, for example for ThreadInfoQuery.
`void`
IThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`
Extract basic information about a thread, for example for ThreadOverviewQuery.